<?php

/**
 * @package     JohnCMS
 * @link        http://johncms.com
 * @copyright   Copyright (C) 2008-2011 JohnCMS Community
 * @license     LICENSE.txt (see attached file)
 * @version     VERSION.txt (see attached file)
 * @author      http://johncms.com/about
 */

defined('_IN_JOHNCMS') or die('Error: restricted access');

require('../incfiles/head.php');

if (!$al) {
    echo display_error('Неверные данные');
    require('../incfiles/end.php');
    exit;
}
$req = mysql_query("SELECT * FROM `cms_album_cat` WHERE `id` = '$al'");
if (!mysql_num_rows($req)) {
    echo display_error('Неверные данные');
    require('../incfiles/end.php');
    exit;
}
$album = mysql_fetch_assoc($req);
$view = isset($_GET['view']);

/*
-----------------------------------------------------------------
Показываем выбранный альбом с фотографиями
-----------------------------------------------------------------
*/
echo '<div class="phdr"><a href="index.php"><b>Фотоальбомы</b></a> | <a href="index.php?act=list&amp;user=' . $user['id'] . '">Личные</a></div>';
echo '<div class="gmenu"><p>' . show_user($user, 1) . '</p></div>' .
    '<div class="phdr">Альбом: ';
echo $view ? '<a href="index.php?act=show&amp;al=' . $al . '&amp;user=' . $user['id'] . '"><b>' . checkout($album['name']) . '</b></a>' : '<b>' . checkout($album['name']) . '</b>';
if (!empty($album['description'])) {
    echo '<small><br />' . checkout($album['description'], 1) . '</small>';
}
echo '</div>';

/*
-----------------------------------------------------------------
Проверяем права доступа к альбому
-----------------------------------------------------------------
*/
if ($album['access'] != 2)
    unset($_SESSION['ap']);
if ($album['access'] == 1 && $user['id'] != $user_id && $rights < 6) {
    // Если доступ закрыт
    echo display_error('Доступ закрыт') .
        '<div class="phdr"><a href="index.php?act=list&amp;user=' . $user['id'] . '">Список альбомов</a></div>';
    require('../incfiles/end.php');
    exit;
} elseif ($album['access'] == 2 && $user['id'] != $user_id && $rights < 6) {
    // Если доступ через пароль
    if (isset($_POST['password'])) {
        if ($album['password'] == trim($_POST['password']))
            $_SESSION['ap'] = $album['password'];
        else
            echo display_error('Неверный пароль');
    }
    if (!isset($_SESSION['ap']) || $_SESSION['ap'] != $album['password']) {
        echo '<form action="index.php?act=show&amp;al=' . $al . '&amp;user=' . $user['id'] . '" method="post"><div class="menu"><p>';
        echo 'Для доступа к альбому, требуется указать пароль<br />';
        echo '<input type="text" name="password"/></p>';
        echo '<p><input type="submit" name="submit" value="Войти"/></p>';
        echo '</div></form>';
        echo '<div class="phdr"><a href="index.php?act=list&amp;user=' . $user['id'] . '">Список альбомов</a></div>';
        require('../incfiles/end.php');
        exit;
    }
}

/*
-----------------------------------------------------------------
Просмотр альбома и фотографий
-----------------------------------------------------------------
*/
if ($view) {
    $kmess = 1;
    $start = isset($_REQUEST['page']) ? $page - 1 : (mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_album_files` WHERE `album_id` = '$al' AND `id` > '$img'"), 0));
    // Обрабатываем ссылку для возврата
    if (empty($_SESSION['ref']))
        $_SESSION['ref'] = htmlspecialchars($_SERVER['HTTP_REFERER']);
} else {
    unset($_SESSION['ref']);
}

$total = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_album_files` WHERE `album_id` = '$al'"), 0);

if ($total) {
    $req = mysql_query("SELECT * FROM `cms_album_files` WHERE `user_id` = '" . $user['id'] . "' AND `album_id` = '$al' ORDER BY `id` DESC LIMIT $start, $kmess");
    for ($i = 0; ($res = mysql_fetch_assoc($req)) !== false; ++$i) {
        echo ($i % 2 ? '<div class="list2">' : '<div class="list1">');
        if ($view) {
            /*
            -----------------------------------------------------------------
            Предпросмотр отдельного изображения
            -----------------------------------------------------------------
            */
            //                if ($user['id'] == $user_id && isset($_GET['profile'])) {
            //                    copy(
            //                        '../files/users/album/' . $user['id'] . '/' . $res['tmb_name'],
            //                        '../files/users/photo/' . $user_id . '_small.jpg'
            //                    );
            //                    copy(
            //                        '../files/users/album/' . $user['id'] . '/' . $res['img_name'],
            //                        '../files/users/photo/' . $user_id . '.jpg'
            //                    );
            //                    echo '<span class="green"><b>' . $lng_profile['photo_profile_ok'] . '</b></span><br />';
            //                }
            echo '<a href="' . $_SESSION['ref'] . '"><img src="image.php?u=' . $user['id'] . '&amp;f=' . $res['img_name'] . '" /></a>';
            // Счетчик просмотров
            if (!mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_album_views` WHERE `user_id` = '$user_id' AND `file_id` = '" . $res['id'] . "'"), 0)) {
                mysql_query("INSERT INTO `cms_album_views` SET `user_id` = '$user_id', `file_id` = '" . $res['id'] . "', `time` = '" . time() . "'");
                $views = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_album_views` WHERE `file_id` = '" . $res['id'] . "'"), 0);
                mysql_query("UPDATE `cms_album_files` SET `views` = '$views' WHERE `id` = '" . $res['id'] . "'");
            }
        } else {
            /*
            -----------------------------------------------------------------
            Предпросмотр изображения в списке
            -----------------------------------------------------------------
            */
            echo '<a href="index.php?act=show&amp;al=' . $al . '&amp;img=' . $res['id'] . '&amp;user=' . $user['id'] . '&amp;view"><img src="uploads/' . $user['id'] . '/' . $res['tmb_name'] . '" /></a>';
        }
        if (!empty($res['description'])) {
            echo '<div class="gray">' . smileys(checkout($res['description'], 1)) . '</div>';
        }
        echo '<div class="sub">';
        if ($user['id'] == $user_id || $rights >= 6) {
            echo display_menu(array(
                '<a href="index.php?act=image_edit&amp;img=' . $res['id'] . '&amp;user=' . $user['id'] . '">Изменить</a>',
                '<a href="index.php?act=image_move&amp;img=' . $res['id'] . '&amp;user=' . $user['id'] . '">Переместить</a>',
                '<a href="index.php?act=image_delete&amp;img=' . $res['id'] . '&amp;user=' . $user['id'] . '">Удалить</a>'
            ));
//            if ($user['id'] == $user_id && $view) {
//                echo ' | <a href="index.php?act=show&amp;al=' . $al . '&amp;user=' . $user['id'] . '&amp;view&amp;img=' . $res['id'] . '&amp;profile">' . $lng_profile['photo_profile'] . '</a>';
//            }
        }
        echo vote_photo($res) .
            '<div class="gray">просмотров: ' . $res['views'] . ', Скачиваний: ' . $res['downloads'] . '</div>' .
            '<div class="gray">Дата: ' . date("d.m.y / H:i", $res['time'] + $set_user['sdvig'] * 3600) . '</div>' .
            '<a href="index.php?act=comments&amp;img=' . $res['id'] . '">Комментарии</a> (' . $res['comm_count'] . ')<br />' .
            '<a href="index.php?act=image_download&amp;img=' . $res['id'] . '">Скачать</a>' .
            '</div></div>';
    }
} else {
    echo '<div class="menu"><p>Список пуст</p></div>';
}

echo '<div class="phdr">Всего: ' . $total . '</div>';
if ($total > $kmess) {
    echo '<div class="topmenu">' . pagenav('index.php?act=show&amp;al=' . $al . '&amp;user=' . $user['id'] . '&amp;' . ($view ? 'view&amp;' : ''), $start, $total, $kmess) . '</div>' .
        '<p><form action="index.php?act=show&amp;al=' . $al . '&amp;user=' . $user['id'] . ($view ? '&amp;view' : '') . '" method="post">' .
        '<input type="text" name="page" size="2"/>' .
        '<input type="submit" value="' . $lng['to_page'] . ' &gt;&gt;"/>' .
        '</form></p>';
}

echo '<p>';
if ($user['id'] == $user_id || $rights >= 7) {
    echo '<a href="index.php?act=image_upload&amp;al=' . $al . '&amp;user=' . $user['id'] . '">Добавить фото</a><br />';
}
echo '<a href="index.php?act=list&amp;user=' . $user['id'] . '">Список альбомов</a></p>';
